’--- title: Start SMS Campaign v2 sidebarTitle: Start SMS Campaign v2
Back to API ListStart SMS Campaign API-v2
Use this API to start an active SMS campaign for a given stream ID and campaign ID.| Method | POST |
|---|---|
| Endpoint | https://{{host}}/campaign/api/v2/public/{{streamID}}/campaign/{{campaignId}}?campaignType=sms&trigger={{trigger}} |
| Content-Type | application/json |
| Authorization | auth: {{JWT}} See How to generate the JWT Token |
| API Scope | Campaign Management |
Path Parameters
| Parameter | Description | Type |
|---|---|---|
host | Environment URL, for example, https://platform.kore.ai | string, required |
streamId | Bot ID or Stream ID. You can get it from the general settings page. | string, required |
campaignId | Unique identifier of the campaign to trigger. | string, required |
Query Parameters
| Parameter | Description | Type |
|---|---|---|
campaignType | Type of campaign. Use "sms" for SMS. | string, required |
trigger | Action to perform. Use "play" to start. | string, required |
Sample Request
Headers
| Header | Description | Required/Optional |
|---|---|---|
auth | JWT token for authentication. | required |
iid | The Application Id. | required |
accountId | The Account Id. | required |
Sample Response
Response Body Parameters
| Parameter | Description | Type |
|---|---|---|
status | Indicates the current status of the campaign. For example, Active | string |
message | Success confirmation message. For example, Campaign Started | string |
updatedAt | ISO timestamp when the campaign was activated. | string |